Subject: Re: [bug#53966] [PATCH] gnu: udpcast: Update to 20211207.

From: Michael Rohleder <[email-masked]>
Date: Sun, 13 Feb 2022 17:45:18 +0100

Maxime Devos <[email-masked]> writes:
> Michael Rohleder schreef op zo 13-02-2022 om 06:09 [+0100]:
>>         ;; XXX: Original server is at https://www.udpcast.linux.lu is
>> not
>>         ;; reliable.
>
> Do you know in what sense it is unreliable?

No.

>>         (uri (list (string-append
>> -                   "http://sources.buildroot.net/udpcast/udpcast-"
>> -                   version ".tar.gz")
>> -                  (string-append
>>                     "https://fossies.org/linux/privat/udpcast-"
>>                     version ".tar.gz")
>>                    (string-append
>>                     "https://www.udpcast.linux.lu/download/udpcast-"
>>                     version ".tar.gz")))
>> 
>
>
> I noticed the old URI
> <https://fossies.org/linux/privat/udpcast-20200328.tar.gz/>
> now is a 404.  It seems like old versions are automatically removed,
> so the fossies URL would be unreliable (from a reproducibility POV).

https://fossies.org/linux/privat/udpcast-20211207.tar.gz
seems to be available, so we have 2 uris.

>
> The only remaining URL is the www.udpcast.linux.lu URL.  It would be
> nice to have more fallbacks, so personally I would keep the
> sources.buildroot.net URL, even though it currently 404s, with a
> comment like
>
>   ;; At time of writing, sources.buildroot.net only has old versions
>   ;; of udpcast, but presumably it will be updated eventually.
>
> YMMV.

Ok.

-- 
C makes it easy for you to shoot yourself in the foot.  C++ makes that
harder, but when you do, it blows away your whole leg. - Bjorne Stroustrup